Page MenuHomePhabricator

[MLIR] Use memref.copy ops in BufferResultsToOutParams pass.
ClosedPublic

Authored by wenzhicui on Sep 8 2021, 7:58 PM.

Details

Summary

Both copy/alloc ops are using memref dialect after this change.

Diff Detail

Event Timeline

wenzhicui created this revision.Sep 8 2021, 7:58 PM
wenzhicui requested review of this revision.Sep 8 2021, 7:58 PM
silvas accepted this revision.Sep 9 2021, 9:44 AM
This revision is now accepted and ready to land.Sep 9 2021, 9:44 AM
mehdi_amini requested changes to this revision.Sep 9 2021, 10:47 AM

Can you remove the LinalgDialect from the getDependentDialects in the TableGen definition of this pass?
Also I suspect Linalg can be dropped as a dependency for the library in the CMakeLists.txt file at the same time?

This revision now requires changes to proceed.Sep 9 2021, 10:47 AM

Remove Linalg dependencies.

Can you remove the LinalgDialect from the getDependentDialects in the TableGen definition of this pass?
Also I suspect Linalg can be dropped as a dependency for the library in the CMakeLists.txt file at the same time?

I have removed Linalg dependency. PTAL.

Spell fix in the commit and revision title: Beffer -> Buffer

wenzhicui updated this revision to Diff 372371.Sep 13 2021, 5:53 PM

Fix typo in commit message.

wenzhicui retitled this revision from [MLIR] Use memref.copy ops in BefferResultsToOutParams pass. to [MLIR] Use memref.copy ops in BufferResultsToOutParams pass..Sep 13 2021, 5:53 PM

Spell fix in the commit and revision title: Beffer -> Buffer

Done.

mehdi_amini accepted this revision.Sep 14 2021, 5:21 PM
This revision is now accepted and ready to land.Sep 14 2021, 5:21 PM
This revision was automatically updated to reflect the committed changes.
This comment was removed by akuegel.

Regarding the comment I removed: sorry, I had switched to the wrong tab and didn't realize I was posting my comment to the wrong review thread. The one I actually wanted to comment on is https://reviews.llvm.org/D108505